
clear all
set more off
set matsize 300
capture log close


****************************************
* do file to create an welfare Index
* using factor analysis
* By Diego F. Angel
* March, 2005
****************************************


**************************************
* SECTION F : POSSESSIONS DES MENAGES 
**************************************

/*
use "C:\Documents and Settings\wb200856\My Documents\Africa\rwa\data\QUIBB\data_menage.dta", clear
count
gen str6 hid = a1+a2

rename a1 PSU
sort hid
duplicates report hid

for var hid f1-g8i5: destring X , replace ignore ("?" "." "," "??")
sum f1-f17

save "C:\Documents and Settings\wb200856\My Documents\Africa\rwa\data\QUIBB\data_menage_1.dta", replace
*/
use "C:\Documents and Settings\wb200856\My Documents\Africa\rwa\data\QUIBB\data_menage_1.dta", clear
drop hhweight
rename autpond hhweight

label define yesno 1 "Yes" 2 "No"

rename f1 ownership
recode ownership 1=10 2=20 3=30 4=40
recode ownership 40=1 30=2 10=3 20=4
label var ownership "ownership (f1)"
label define ownership 1 "temporary lodgement" 2 "free lodgement"  3 "owns house" 4 "rents house" 
label values ownership ownership
tab ownership

rename f2 numberof_rooms
label var numberof_rooms "Number of independent rooms in dweling (f2)"

rename f3 piecesof_agricland
label var piecesof_agricland "Number of peaces of agricultural land (f3)"

rename f4 size_agricland
label var size_agricland "Agricultural land's area with respect to one year ago (f4)"
recode size_agricland 0 = . if piecesof_agricland ==0
recode size_agricland 5 = .
label define change 1 "smaller" 2 "unchanged" 3 "larger" 4 "don't know" 
label values size_agricland change
tab size_agricland

rename f5 use_notowned_land
label var use_notowned_land "Does the hhd use land that it does not own? (f5)"
label define use_notowned_land 1 "Non" 2 "yes, rents land" 3 "yes, Mtayage" 4 "yes, private land - for free" 5 "free access land"
label values use_notowned_land use_notowned_land

rename f6 how_many_notowned_land 
label var how_many_notowned_land "how many pieces of land (not owned) does the hhd use? (f6)"

rename f7 size_agricland_notowned
label var size_agricland_notowned "Not owned agricultural land's area with respect to one year ago (f7)"
label values size_agricland_notowned change
recode size_agricland_notowned 0 5 = . 
tab size_agricland_notowned

rename f8 large_cattle
label var large_cattle "how many pieces of large cattle (cows, etc) does the hhd. have? (f8)"

rename f9 change_large_cattle
recode change_large_cattle 5 = .
label var change_large_cattle "number of large cattle with respect to one year ago (f9)"
label values change_large_cattle change


rename f10 mediumsize_cattle
label var mediumsize_cattle "how many pieces of medium size cattle (cows, etc) does the hhd. have? (f8)"

rename f11 change_mediumsize_cattle
recode change_mediumsize_cattle 5 = .
label var change_mediumsize_cattle "number of medium size cattle with respect to one year ago (f9)"
label values change_mediumsize_cattle change


**** ASSETS *****

rename f12a num_iron_box_elec  
rename f12b num_iron_box_coal   
rename f12c num_TVs   
rename f12d num_radios   
rename f12e num_matelas   
rename f12f num_blanckets   
rename f12g num_moustiq   
rename f12h num_watches   
rename f12i num_chairs   
rename f12j num_imbabura_amel   
rename f12k num_bicycle   
rename f12l num_brouette   
rename f12m num_telephones_fix   
rename f12n num_mobiles   
rename f13 access_elect 

label var access_elect "household has access to electricity (f13)"
label values access_elect yesno 
tab access_elect

recode f14 1=10 2=20 4=40 5=50
recode f14 50=1 40=2 20=4 10=5
rename f14 problems_feeding_family
label var problems_feeding_family "had problems meeting family's food needs - last year"
label define freq 1 "always" 2 "often" 3 "sometimes" 4 "rarely" 5 "never"   
label values problems_feeding_family freq
tab problems_feeding_family

rename f15 economic_situation
recode economic_situation 7 = .  6 = 0

label var economic_situation "Perception of socio-economic conditions vs. last year (f15)"

# delimit ;
label define situation 	0 "Don't know" 1 "a lot worse now" 2 "a little worse now" 3 "same" 4 "a little better now" 
				5 "a lot better now"  ;
label values economic_situation situation;

# delimit cr
rename f16 community_situation
recode community_situation 7 = . 6 = 0
label var community_situation "Perception of socio-economic in community vs. last year (f16)"
label values community_situation situation
tab community_situation,m

rename f17 main_contrib_numlin 
label var main_contrib_numlin "Main contributor of household's revenue (f17)"

*******************************
**** SECTION G - LODGEMENT ****
*******************************

rename g1 type_toit
label var type_toit "type of roof"
recode type_toit 1=10 2=10 3=30 4=40 5=40
recode type_toit 40=1 30=2 10=3
label define type_toit 1 "Chaume/Paille" 2 "Cement/Beton" 3 "Toile/Ardoise" 
label values type_toit type_toit 
correlate type_toit problems_feeding_family

rename g2 type_murs
label var type_murs "Type of walls"
label define type_murs 1 "Bricks of cement/stone/adobe" 2 "cement" 3 "wood, Pis non cimente"
label values type_murs type_murs
recode type_murs 6 7 8 = 1 5 = 2 1 2 3 4 = 3  
tab type_murs,m
correlate type_murs problems_feeding_family

rename g3 type_floor
label var type_floor "Type of Floor"
recode type_floor 3 4 5 6 = 2
label define type_floor 1 "Terre battue" 2 "Cement/stone/brick"
label values type_floor type_floor

recode g4 1=10 2=20 3=30 4=40 5 6 7 8 = 50
recode g4 10 = 4 20=3 30 40 = 2 50=1
rename g4 source_of_water
# delimit ;
label define source_of_water 	1 "Vendeur/citerne/nature/other" 2 "Puits/source protege/forage" 3 "Robinet Public/du voisin" 
					4 "Robinet interior";
# delimit cr
label values source_of_water source_of_water
tab source_of_water
correlate source_of_water problems_feeding_family

recode g5 1=10 2=20 3=30 4=40 5=50 6=60 7=70
# delimit ;
label define type_toilettes 	1 "Aucun/cuvette/seau/other" 2 "Chasse d'eau/latrine ameliore" 3 "Letrine couvertes"
					4 "Latrine non couverte";
# delimit cr
recode g5 10 30 70 = 4 20 60 = 3 40=2 50=1
rename g5 type_toilettes
label values type_toilettes type_toilettes
tab type_toilettes,m
correlate type_toilettes problems_feeding_family


recode g6 1=10 2=20 3=30 4=40 5=50 6=60 7=70
recode g6 70 30=1 20=2 10=3  40 50 60 = 4
label define energy_cooking 1 "animal waste/other" 2 "wood" 3 "coal" 4 "elec/gaz/petrole"
rename g6 energy_cooking
label values energy_cooking energy_cooking
tab energy_cooking,m 
correlate energy_cooking problems_feeding_family


rename g7 energy_lighting 
recode energy_lighting 1=10 2=20 3=30 4=40 5=50 6=60 7=70 8=80 9=90
recode energy_lighting 90 70 50 20 30 = 1 80 = 2 60 = 3 40 = 4 10 = 5
label define energy_lighting 1 "Other" 2 "Wood" 3 "Lampion(agatadowa)" 4 "Petrolium lamp" 5 "Electricity"
label values energy_lighting energy_lighting
tab energy_lighting,m
correlate energy_lighting problems_feeding_family

compress

# delimit ; 
global dfacs 	"ownership numberof_rooms piecesof_agricland large_cattle change_large_cattle 
			mediumsize_cattle change_mediumsize_cattle num_iron_box_elec num_iron_box_coal 
			num_TVs num_radios num_matelas num_blanckets num_moustiq num_watches num_chairs 
			num_imbabura_amel num_bicycle num_brouette num_telephones_fix num_mobiles 
			access_elect problems_feeding_family economic_situation community_situation 
			type_toit type_murs type_floor source_of_water type_toilettes
			energy_cooking energy_lighting"; 

des $dfacs;
sum $dfacs;
factor $dfacs [aw=hhweight] , pc factors(5);
score welfare;
count if welfare==.;
sum welfare;
gen min=r(min);
gen welfare_proxi=(welfare + (-1*min)) + 1;

impute welfare_proxi 	ownership numberof_rooms large_cattle mediumsize_cattle num_TVs 
			num_radios num_bicycle num_telephones_fix type_toit type_murs 
			energy_cooking energy_lighting [aw=hhweight], gen(welfare_proxi1);

replace welfare_proxi1 = 0 if welfare_proxi1<0;
* one change;

sum welfare_proxi welfare_proxi1[aw=hhweight], detail;
drop welfare_proxi;
rename welfare_proxi1 welfare_proxi;

label var welfare_proxi "welfare proxy using factor analysis";
*kdensity welfare_proxi;
gen weight=hhweight*hhsize;

gen urban= cond(urbrur=="U",1,0);
tab urban;
tab urbrur;
drop urbrur;

xtile quintile_u = welfare_proxi if urban==1 [aw=weight], nquantiles(5);
tab quintile_u [aw=weight];
xtile quintile_r = welfare_proxi if urban==0 [aw=weight], nquantiles(5);
tab quintile_r [aw=weight];
gen welfare_quintile = quintile_u if urban==1;
replace welfare_quintile = quintile_r if urban==0;

tab welfare_quintile [aw=weight];
label var welfare_quintile "welfare quintile - population weighted";

# delimit cr

**********************
* TIME TO SERVICES
**********************

gen timeto_water_source = 1 if g8a1>=0&g8a1<=15
replace timeto_water_source = 2 if g8a1>=16&g8a1<=30
replace timeto_water_source = 3 if g8a1>=31&g8a1<=60
replace timeto_water_source = 4 if g8a1>=60&g8a1~=.
label define time 1 "0-15 minutes" 2 "16-30 minutes" 3 "31-60 minutes" 4 ">1 hour"
label values timeto_water_source time
label var timeto_water_source "Time on foot to closest potable water source"
tab timeto_water_source [aw=hhweight], m

gen timeto_foodmarket = 1 if g8b1>=0&g8b1<=15
replace timeto_foodmarket = 2 if g8b1>=16&g8b1<=30
replace timeto_foodmarket = 3 if g8b1>=31&g8b1<=60
replace timeto_foodmarket = 4 if g8b1>=60&g8b1~=.
label values timeto_foodmarket time
label var timeto_foodmarket "Time on foot to closest market"
tab timeto_foodmarket [aw=hhweight], m

gen timeto_pubtransport = 1 if g8c1>=0&g8c1<=15
replace timeto_pubtransport = 2 if g8c1>=16&g8c1<=30
replace timeto_pubtransport = 3 if g8c1>=31&g8c1<=60
replace timeto_pubtransport = 4 if g8c1>=60&g8c1~=.
label values timeto_pubtransport time
label var timeto_pubtransport "Time on foot to closest public transportation"
tab timeto_pubtransport [aw=hhweight], m


gen timeto_road = 1 if g8d1>=0&g8d1<=15
replace timeto_road = 2 if g8d1>=16&g8d1<=30
replace timeto_road = 3 if g8d1>=31&g8d1<=60
replace timeto_road = 4 if g8d1>=60&g8d1~=.
label values timeto_road time
label var timeto_road "Time on foot to closest functional road - open all seasons"
tab timeto_road [aw=hhweight], m

gen timeto_pschool = 1 if g8e1>=0&g8e1<=15
replace timeto_pschool = 2 if g8e1>=16&g8e1<=30
replace timeto_pschool = 3 if g8e1>=31&g8e1<=60
replace timeto_pschool = 4 if g8e1>=60&g8e1~=.
label values timeto_pschool time
label var timeto_pschool "Time on foot to closest primary school"
tab timeto_pschool [aw=hhweight], m


gen timeto_sschool = 1 if g8f1>=0&g8f1<=15
replace timeto_sschool = 2 if g8f1>=16&g8f1<=30
replace timeto_sschool = 3 if g8f1>=31&g8f1<=60
replace timeto_sschool = 4 if g8f1>=60&g8f1~=.
label values timeto_sschool time
label var timeto_sschool "Time on foot to closest secundary school"
tab timeto_sschool [aw=hhweight], m
des timeto_*

gen timeto_hospital = 1 if g8g1>=0&g8g1<=15
replace timeto_hospital = 2 if g8g1>=16&g8g1<=30
replace timeto_hospital = 3 if g8g1>=31&g8g1<=60
replace timeto_hospital = 4 if g8g1>=60&g8g1~=.
label values timeto_hospital time
label var timeto_hospital "Time on foot to closest hospital"
tab timeto_hospital [aw=hhweight], m

/*
gen timeto_healtcenter = 1 if g8h1>=0&g8h1<=15
replace timeto_healtcenter = 2 if g8h1>=16&g8h1<=30
replace timeto_healtcenter = 3 if g8h1>=31&g8h1<=60
replace timeto_healtcenter = 4 if g8h1>=60&g8h1~=.
label values timeto_healtcenter time
label var timeto_healtcenter "Time on foot to closest health center"
tab timeto_healtcenter [aw=hhweight], m
*/

gen timeto_district_office = 1 if g8i1>=0&g8i1<=15
replace timeto_district_office = 2 if g8i1>=16&g8i1<=30
replace timeto_district_office = 3 if g8i1>=31&g8i1<=60
replace timeto_district_office = 4 if g8i1>=60&g8i1~=.
label values timeto_district_office time
label var timeto_district_office "Time on foot to closest district's office"
tab timeto_district_office [aw=hhweight], m

label define usage 1 "never" 2 "rarely" 3 "sometimes" 4 "frequently" 
label define usage1 1 "never/rarely" 2 "sometimes" 3 "frequently" 
label define usage2 1 "never" 2 "rarely/sometimes" 3 "frequently" 


rename g8a2 use_water_service
recode use_water_service 2 = 1 3 = 2 4 = 3
label values use_water_service usage1
label var use_water_service "Does you hhd. use potable water services? (g8a2)" 
tab use_water_service [aw=hhweight], m

rename g8b2 use_foodmarket
recode use_foodmarket 2 = 1 3 = 2 4 = 3
label values use_foodmarket usage1
label var use_foodmarket "Does you hhd. use food market? (g8b2)" 
tab use_foodmarket [aw=hhweight], m

rename g8c2 use_public_trans
label values use_public_trans usage
label var use_public_trans " Does you hhd. use public transportation? (g8c2) " 
tab use_public_trans [aw=hhweight], m

rename g8d2 use_road
label values use_road usage
label var use_road " Does you hhd. use the functional road? (g8d2) " 
tab use_road [aw=hhweight], m

rename g8e2 use_pschool
label values use_pschool usage
label var use_pschool " Does you hhd. use the primary school? (g8e2) " 
tab use_pschool [aw=hhweight], m

rename g8f2 use_sschool
recode use_sschool 3=2 4=3
label values use_sschool usage2
label var use_sschool " Does you hhd. use the secondary school? (g8f2) " 
tab use_sschool [aw=hhweight], m

rename g8g2 use_hospital
label values use_hospital usage
label var use_hospital " Does you hhd. use the district hospital? (g8g2) " 
tab use_hospital [aw=hhweight], m

/*
rename g8h2 use_health_center
label values use_health_center usage
label var use_health_center " Does you hhd. use the health center? (g8h2) " 
tab use_health_center [aw=hhweight], m
*/

rename g8i2 use_dist_office
label values use_dist_office usage
label var use_dist_office " Does you hhd. use the district office? (g8i2) " 
tab use_dist_office [aw=hhweight], m


**************************************************
* REASONS FOR NO/LOW UTILIZATION OF SERVICES
**************************************************

label define whynot 1 "too far" 2 "too expensive" 3 "lack quality/personal/equip, others" 4 "Not a user"

rename g8a3 whynot_use_water
recode whynot_use_water   3 4 5 6 = 3 7 = 4
label values whynot_use_water whynot
tab whynot_use_water [aw=hhweight], m

rename g8b3 whynot_use_foodmarket
recode whynot_use_foodmarket  3 4 5 6 = 3 7 = 4
label values whynot_use_foodmarket whynot
tab whynot_use_food [aw=hhweight], m

rename g8c3 whynot_use_pubtrans
recode whynot_use_pubtrans 3 4 5 6 = 3 7 = 4
label values whynot_use_pubtrans whynot
tab whynot_use_pubtrans [aw=hhweight], m

rename g8d3 whynot_use_road
recode whynot_use_road   3 4 5 6 = 3 7 = 4
label values whynot_use_road whynot
tab whynot_use_road [aw=hhweight], m


rename g8e3 whynot_use_pschool
recode whynot_use_pschool   3 4 5 6 = 3 7 = 4
label values whynot_use_pschool whynot
tab whynot_use_pschool [aw=hhweight], m


rename g8f3 whynot_use_sschool
recode whynot_use_sschool   3 4 5 6 = 3 7 = 4
label values whynot_use_sschool whynot
tab whynot_use_sschool [aw=hhweight], m


rename g8g3 whynot_use_hospital
recode whynot_use_hospital   3 4 5 6 = 3 7 = 4
label values whynot_use_hospital whynot
tab whynot_use_hospital [aw=hhweight], m

/*
rename g8h3 whynot_use_healthcenter
recode whynot_use_healthcenter   3 4 5 6 = 3 7 = 4
label values whynot_use_healthcenter whynot
tab whynot_use_healthcenter [aw=hhweight], m
*/

rename g8i3 whynot_use_distoffice
recode whynot_use_distoffice   3 4 5 6 = 3 7 = 4
label values whynot_use_distoffice whynot
tab whynot_use_distoffice [aw=hhweight], m

********************************
* SATISFACTION WITH SERVICES
********************************

label define satis 1 "Not Satisfied" 2 "Satisfied" 3 "Not a user"
recode g8a4 3 4 = .
recode g8a4 . = 3 if use_water_service==1
rename g8a4 satis_water
label values satis_water satis
tab satis_water [aw=hhweight],m

recode g8b4 3 = .
recode g8b4 . = 3 if use_foodmarket==1
rename g8b4 satis_foodmarket
label values satis_foodmarket satis
tab satis_foodmarket [aw=hhweight],m

recode g8c4 3 = .
recode g8c4 . = 3 if use_public_trans==1|use_public_trans==2
rename g8c4 satis_pubtrans
label values satis_pubtrans satis
tab satis_foodmarket [aw=hhweight],m

recode g8d4 3 = .
recode g8d4 . = 3 if use_road==1|use_road==2
rename g8d4 satis_road
label values satis_road satis
tab satis_road [aw=hhweight],m

recode g8e4 3 = .
recode g8e4 . = 3 if use_pschool==1|use_pschool==2
rename g8e4 satis_pschool
label values satis_pschool satis
tab satis_pschool [aw=hhweight],m

recode g8f4 3 = .
recode g8f4 . = 3 if use_sschool==1
rename g8f4 satis_sschool
label values satis_sschool satis
tab satis_sschool [aw=hhweight],m

recode g8g4 3 = .
recode g8g4 . = 3 if use_hospital==1|use_hospital==2
rename g8g4 satis_hospital
label values satis_hospital satis
tab satis_hospital [aw=hhweight],m

/*
recode g8h4 3 = .
rename g8h4 satis_healthcenter
recode g8h4 . = 3 if use_healthcenter==1|use_healthcenter==2
label values satis_healthcenter satis
tab satis_healthcenter [aw=hhweight],m
*/

recode g8i4 3 = .
recode g8i4 . = 3 if use_dist_office==1|use_dist_office==2
rename g8i4 satis_distoffice
label values satis_distoffice satis
tab satis_distoffice [aw=hhweight],m

***********************************
*** CHANGE IN SERVICES PERCEPTION
***********************************

label define qlty 1 "worse now" 2 "identical" 3 "better now" 4 "don't know" 5 "Not a user"
recode g8a5 . = 5 if use_water_service==1
rename g8a5 change_qlty_water12
label values change_qlty_water12 qlty
label  var change_qlty_water12 "change in quality of water services during past 12 months (g8a5)"
tab change_qlty_water12 [aw=hhweight],m

recode g8b5 . = 5 if use_foodmarket==1
rename g8b5 change_qlty_foodmarket12
label values change_qlty_foodmarket12 qlty
label  var change_qlty_foodmarket12 "change in quality of food market during past 12 months (g8b5)"
tab change_qlty_foodmarket12 [aw=hhweight],m

recode g8c5 0 5 = .
recode g8c5 . = 5 if use_public_trans==1|use_public_trans==2
rename g8c5 change_qlty_pubtrans12
label values change_qlty_pubtrans12 qlty
label  var change_qlty_pubtrans12 "change in quality of public transportation during past 12 months (g8c5)"
tab change_qlty_pubtrans12 [aw=hhweight],m

recode g8d5 . = 5 if use_road==1|use_road==2
rename g8d5 change_qlty_road12
label values change_qlty_road12 qlty
label  var change_qlty_road12 "change in quality of functional road during past 12 months (g8d5)"
tab change_qlty_road12 [aw=hhweight],m

recode g8e5 . = 5 if use_pschool==1|use_pschool==2
rename g8e5 change_qlty_pschool12
label values change_qlty_pschool12 qlty
label  var change_qlty_pschool12 "change in quality of primary school during past 12 months (g8e5)"
tab change_qlty_pschool12 [aw=hhweight],m

recode g8f5 . = 5 if use_sschool==1
rename g8f5 change_qlty_sschool12
label values change_qlty_sschool12 qlty
label  var change_qlty_sschool12 "change in quality of secondary school during past 12 months (g8f5)"
tab change_qlty_sschool12 [aw=hhweight],m

recode g8g5 . = 5 if use_hospital==1|use_hospital==2
rename g8g5 change_qlty_hospital12
label values change_qlty_hospital12 qlty
label  var change_qlty_hospital12 "change in quality of district hospital during past 12 months (g8g5)"
tab change_qlty_hospital12 [aw=hhweight],m

recode g8i5 . = 5 if use_dist_office==1|use_dist_office==2
rename g8i5 change_qlty_distoffice12
label values change_qlty_distoffice12 qlty
label  var change_qlty_distoffice12 "change in quality of district's office during past 12 months (g8i5)"
tab change_qlty_distoffice12 [aw=hhweight],m

drop g8a1 g8b1 g8c1 g8d1 g8e1 g8f1 g8g1 g8i1
destring quintile, gen(old_quintile) ignore ("?")
# delimit ; 

keep 	hid urban region weight hhweight welfare_proxi welfare_quintile old_quintile 
	hhsize timeto* PSU-change_qlty_distoffice12;
correlate welfare_quintile old_quintile;
correlate old_quintile problems_feeding_family;
sort hid;
*save "C:\Documents and Settings\wb200856\My Documents\Africa\rwa\data\QUIBB\sectionsF_G.dta", replace;
save "C:\Documents and Settings\wb200856\My Documents\Africa\rwa\data\QUIBB\sectionsF_G_1.dta", replace;
