
clear all
set more off
set matsize 300
capture log close


use "C:\Documents and Settings\wb200856\My Documents\Africa\rwa\data\QUIBB\indata.dta", replace
rename hhid hid
sort hid
merge hid using "C:\Documents and Settings\wb200856\My Documents\Africa\rwa\data\QUIBB\sectionsF_G.dta"
tab _m
drop _m
rename sex female

***********************
* CROSS TABS EDUCACION
***********************

* Udfate Figure 4.2
replace schnow = 0 if attschool==0
gen N=1
preserve
keep if age>=7&age<=15
tab attschool [aw=weight]
bysort urban: table age welfare_quintile [aw=weight], c(mean schnow) f(%8.2f) col
bysort urban: table age welfare_quintile [iw=weight], c(sum N) f(%9.0f) col
bysort urban: table female welfare_quintile [aw=weight], c(mean schnow) col
bysort urban: table female welfare_quintile, c(sum N) f(%9.0f) col
bysort urban: table orphfm  welfare_quintile [aw=weight], c(mean schnow) col
bysort urban: table orphfm  welfare_quintile, c(sum N) col

* Indicators among the enrolled only
tab typesch
recode typesch 3 4 5 = 2
label define  typesch 2 "church/private", modify
tab typesch

bysort urban: tab typesch welfare_quintile [aw=weight], col
bysort urban: tab educcur female [aw=weight], col

* Problems at school *

table urban welfare_quintile [aw=weight], c(mean  snoprob mean snobooks mean sbadteach) f(%8.3f) col
table urban welfare_quintile [aw=weight], c(mean snoprof mean sbadcond mean sothprob) f(%8.3f) col
restore

* EDUCATION OF THE HEAD;

keep if relhead==1
count
table urban welfare_quintile [aw=weight], c(mean literate mean attschool) f(%8.3f) col
bysort urban: tab educmax [aw=weight]

* PERCEPTIONS OF EDUCATION FASCILITIES;
# delimit ;
sum 	use_pschool whynot_use_pschool satis_pschool change_qlty_pschool12 
	use_sschool whynot_use_sschool satis_sschool change_qlty_sschool12;


table urban welfare_quintile [aw=weight], c(mean literate mean attschool) f(%8.3f) col;
			
by urban: tab timeto_pschool welfare_quintile [aw=weight], col;
by urban: tab timeto_sschool welfare_quintile [aw=weight], col;

by urban: tab use_pschool  welfare_quintile [aw=weight], col;
by urban: tab use_sschool  welfare_quintile [aw=weight], col;

by urban:   tab  satis_pschool  welfare_quintile if satis_pschool~=3 [aw=weight], col;
by urban:   tab  satis_sschool  welfare_quintile if satis_sschool~=3 [aw=weight], col;

by urban:   tab  change_qlty_pschool12  if change_qlty_pschool12~=5 [aw=weight];
by urban:   tab  change_qlty_sschool12  if change_qlty_sschool12~=5 [aw=weight];


**** Assets *****

* Access to water/electricity;
* Satisfaction with local infrastructure;








