
clear all
set more off
set matsize 300
capture log close


use "C:\Documents and Settings\wb200856\My Documents\Africa\rwa\data\QUIBB\sectionsF_G_1.dta"
log using "C:\Documents and Settings\wb200856\My Documents\Africa\rwa\log_files\Quibb_infrs.log", replace

**** Assets *****

* Do Cross tabs by poor/non poor;
sum  welfare_proxi [w=weight], detail
gen poor = welfare_proxi<=r(p50)
sum poor [w=weight]

* Access to water/electricity;
* Satisfaction with local infrastructure; 
/*
bysort urban: tab access_elec welfare_quintile [aw=hhweight], col

gen access_water = cond(source_of_water==4,1,2)
label values access_water yesno
bysort urban: tab  access_water welfare_quintile [aw=hhweight], col

by urban: tab  problems_feeding_family  welfare_quintile [aw=weight], col
by urban: tab  economic_situation welfare_quintile [aw=weight], col
by urban: tab  community_situation welfare_quintile [aw=weight], col

**** PUBLIC SERVICES ****

by urban: tab  timeto_water_source poor [aw=weight], col
by urban: tab  timeto_foodmarket poor [aw=weight], col
by urban: tab  timeto_pubtransport  poor [aw=weight], col
by urban: tab  timeto_road poor [aw=weight], col
by urban: tab  timeto_hospital poor [aw=weight], col
by urban: tab  timeto_district_office poor [aw=weight], col


by urban: tab  timeto_water_source welfare_quintile [aw=weight], col
by urban: tab  timeto_foodmarket welfare_quintile [aw=weight], col
by urban: tab  timeto_pubtransport  welfare_quintile [aw=weight], col
by urban: tab  timeto_road welfare_quintile [aw=weight], col
by urban: tab  timeto_hospital welfare_quintile [aw=weight], col
by urban: tab  timeto_district_office welfare_quintile [aw=weight], col

by urban: tab use_water_service poor [aw=weight], col
by urban: tab use_foodmarket poor [aw=weight], col
by urban: tab use_public_trans poor [aw=weight], col
by urban: tab use_road poor [aw=weight], col
by urban: tab use_hospital poor [aw=weight], col
by urban: tab use_dist_office poor [aw=weight], col


by urban: tab whynot_use_foodmarket poor if whynot_use_foodmarket~=4 [aw=weight], col 
by urban: tab whynot_use_pubtrans poor if whynot_use_pubtrans~=4 [aw=weight] , col
by urban: tab whynot_use_road poor if whynot_use_road~=4 [aw=weight], col
by urban: tab whynot_use_hospital poor if whynot_use_hospital~=4  [aw=weight], col
by urban: tab whynot_use_distoffice poor if whynot_use_distoffice~=4 [aw=weight], col


by urban: tab satis_water poor if satis_water~=3, col
by urban: tab satis_foodmarket poor if satis_foodmarket~=3, col
by urban: tab satis_pubtrans poor if satis_pubtrans~=3, col
by urban: tab satis_road poor if satis_road~=3, col
by urban: tab satis_hospital poor if satis_hospital~=3, col
by urban: tab satis_distoffice poor if satis_distoffice~=3, col

*/
sort urban
tab change_qlty_water12  if change_qlty_water12~=5
tab change_qlty_foodmarket12  if change_qlty_foodmarket12~=5
tab change_qlty_pubtrans12  if change_qlty_pubtrans12~=5
tab change_qlty_road12  if change_qlty_road12~=5
tab change_qlty_hospital12  if change_qlty_hospital12~=5
tab change_qlty_distoffice12 if change_qlty_distoffice12~=5

 

 
 
 

