
clear all
set more off
set matsize 300
capture log close


use "C:\Documents and Settings\wb200856\My Documents\Africa\rwa\data\QUIBB\sectionsF_G_1.dta"

log using "C:\Documents and Settings\wb200856\My Documents\Africa\rwa\log_files\Quibb_particip.log", replace

**** PARTICIPATION *****

* Do Cross tabs by poor/non poor;
sum  welfare_proxi [w=weight], detail
gen poor = welfare_proxi<=r(p50)
sum poor [w=weight]

rename hid hhid
sort hhid
merge hhid using "C:\Documents and Settings\wb200856\My Documents\Africa\rwa\data\QUIBB\sectionh.dta"
tab _m
drop _m

# delimit ; 
sum  	theftcash theftgoods violence fire flood landslide disrepair	noprob memrel 
	memprof memngo memparent memgender memelite memnone infotv inforadio	infonewsp 
	infochat infomeet infonoacc infonoint knpoverty kndecentr kntaxes kntaxan	knseeds 
	umuganda umujudge umufuture;
# delimit cr

bysort urban: tab  theftcash welfare_quintile [aw=hhweight], col
bysort urban: tab  theftgoods welfare_quintile [aw=hhweight], col
bysort urban: tab  violence welfare_quintile [aw=hhweight], col
bysort urban: tab  fire welfare_quintile [aw=hhweight], col
bysort urban: tab  flood welfare_quintile [aw=hhweight], col
bysort urban: tab  landslide welfare_quintile [aw=hhweight], col
bysort urban: tab  disrepair welfare_quintile [aw=hhweight], col
bysort urban: tab  noprob welfare_quintile [aw=hhweight], col

* We could do some matching here: to analyze welfare differences bewteen similar 
* households but who have faced an incident. 

bysort urban: tab  memrel welfare_quintile [aw=hhweight], col
bysort urban: tab  memprof welfare_quintile [aw=hhweight], col
bysort urban: tab  memngo welfare_quintile [aw=hhweight], col
bysort urban: tab  memparent welfare_quintile [aw=hhweight], col
bysort urban: tab  memgender welfare_quintile [aw=hhweight], col
bysort urban: tab  memelite welfare_quintile [aw=hhweight], col
bysort urban: tab  memnone welfare_quintile [aw=hhweight], col

* Communication and information;

bysort urban: tab infotv welfare_quintile [aw=hhweight], col
bysort urban: tab inforadio welfare_quintile [aw=hhweight], col
bysort urban: tab infonewsp welfare_quintile [aw=hhweight], col
bysort urban: tab infochat welfare_quintile [aw=hhweight], col
bysort urban: tab infomeet welfare_quintile [aw=hhweight], col
bysort urban: tab infonoint welfare_quintile [aw=hhweight], col

bysort urban: tab knpoverty welfare_quintile [aw=hhweight], col
bysort urban: tab kndecentr welfare_quintile [aw=hhweight], col
bysort urban: tab kntaxes welfare_quintile [aw=hhweight], col
bysort urban: tab kntaxan welfare_quintile [aw=hhweight], col
bysort urban: tab knseeds welfare_quintile [aw=hhweight], col

bysort urban: tab umuganda welfare_quintile [aw=hhweight], col
bysort urban: tab umujudge welfare_quintile [aw=hhweight], col
bysort urban: tab umufuture welfare_quintile [aw=hhweight], col









